Compliance
Profile approved, needs resubmission or rejected
Sent when the profile becomes approved, resubmission_required or rejected. data has the same shape as GET /customers/{customerId}/profiles/{purpose}.
application/json- body
id*stringEvent ID (starts with evt_), unchanged across retries
type*stringcreated_at*stringFormat
date-timedata*Received by the merchant; any 2xx is a success
Example Requests
POST/customer_profile.status_changed
application/json
{ "id": "string", "type": "customer_profile.status_changed", "created_at": "2019-08-24T14:15:22Z", "data": { "id": "string", "customer_id": "string", "purpose": "virtual_account", "type": "individual", "status": "draft", "audit_remark": "string", "submissions": 0, "approved_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }}